%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define gettext_package gnome-games

%define build_card 1
%define build_tali 1

%if %{build_card}
%define card_schemas aisleriot.schemas
%define card_schemas_extra blackjack.schemas
%define card_desktops $RPM_BUILD_ROOT%{_datadir}/applications/gnome-sol.desktop $RPM_BUILD_ROOT%{_datadir}/applications/gnome-freecell.desktop
%else
%define card_schemas %{nil}
%define card_schemas_extra %{nil}
%define card_desktops %{nil}
%endif

%if %{build_tali}
%define gtali_schemas gtali.schemas
%else
%define gtali_schemas %{nil}
%endif

%if !%{build_card} && !%{build_tali}
%define omitgames --enable-omitgames=aisleriot,blackjack,gtali
%else
%if !%{build_card}
%define omitgames --enable-omitgames=aisleriot,blackjack
%else
%if !%{build_tali}
%define omitgames --enable-omitgames=gtali
%else
%define omitgames %{nil}
%endif
%endif
%endif

%define glib2_version 2.12.0
%define pango_version 1.8.0
%define gtk2_version 2.6.0
%define libgnomeui_version 2.5.0
%define desktop_file_utils_version 0.2.90
%define gnome_python_desktop 2.17.3
%define gstreamer_version 0.10.3

Summary: Games for the GNOME desktop
Name: gnome-games
Version: 2.28.2
Release: 2%{?dist}
Epoch: 1
License: GPLv2+ and GFDL
Group: Amusements/Games
Source: http://download.gnome.org/sources/gnome-games/2.28/gnome-games-%{version}.tar.bz2
# http://bugzilla.gnome.org/show_bug.cgi?id=551455
Patch0: ggz-api-changes.patch
Patch1: gnome-games-2.19.4-gnometris-rebrand.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=613634
Patch2: gnome-games-dir-prefix.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: gnome-games-devel
URL: http://projects.gnome.org/gnome-games/

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires: GConf2
Requires: pygtk2
Requires: gnome-python2-gconf
Requires: hicolor-icon-theme

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: pygtk2-devel
BuildRequires: gnome-python2-desktop >= %{gnome_python_desktop}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: librsvg2-devel
BuildRequires: guile-devel >= 1.6.5
BuildRequires: expat-devel
BuildRequires: gstreamer-devel >= %{gstreamer_version}
BuildRequires: libcanberra-devel
BuildRequires: clutter-devel clutter-gtk-devel
BuildRequires: intltool

# Newer than internal gettext needed
BuildRequires: gettext
BuildRequires: autoconf >= 2.60
BuildRequires: gnome-doc-utils >= 0.3.2

BuildRequires: libggz-devel
BuildRequires: ggz-client-libs-devel
Requires(post): ggz-client-libs
Requires(preun): ggz-client-libs

Provides: gnome-sudoku
Obsoletes: gnome-sudoku

Provides: glchess
Obsoletes: glchess < 2.0


%description
The gnome-games package is a collection of some small "five-minute" games
in a variety of styles and genres for the GNOME desktop.


%package extra
Group: Amusements/Games
Summary: More games for the GNOME desktop
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: pygtkglext
Requires: PyOpenGL
Requires: gnuchess

%description extra
The gnome-games-extra package contains additional small "five-minute" games
in a variety of styles and genres for the GNOME desktop.


%package help
Group: Applications/Productivity
Summary: Help files for %{name}
Requires: %{name} = %{epoch}:%{version}-%{release}
BuildArch: noarch

%description help
This package contains user documentation for %{name}.

%prep
%setup -q
%patch0 -p1 -b .ggz-api-changes
# rebrand gnometris as some think the name is to similar to a trademark
%patch1 -p1 -b .rebrand
%patch2 -p1 -b .dir-prefix

sed -i -e 's/Gnometris/GnomeFallingBlocks/g' \
  -e 's/GNOMEtris/GnomeFallingBlocks/g' \
  po/*.po gnometris/help/*/*.po gnometris/help/C/gnometris.xml \
  gnometris/*.cpp gnometris/gnometris.desktop.in.in

#cp -f gnometris/sounds/gameover.wav gnobots2/bad.wav
#cp -f gnometris/sounds/gameover.wav gnibbles/sounds/pop.wav

%build

autoconf
export CFLAGS="$RPM_OPT_FLAGS -DNO_HOWL"
%configure --localstatedir=/var/lib \
           --disable-gnuchess \
           --disable-introspection \
           %{omitgames}
make

# strip unneeded translations from .mo files
# ideally intltool (ha!) would do that for us
# http://bugzilla.gnome.org/show_bug.cgi?id=474987
cd po
grep -v ".*[.]desktop[.]in[.]in$\|.*[.]server[.]in[.]in$" POTFILES.in > POTFILES.keep
mv POTFILES.keep POTFILES.in
intltool-update --pot
for p in *.po; do
  msgmerge $p %{gettext_package}.pot > $p.out
  msgfmt -o `basename $p .po`.gmo $p.out
done


%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

mv $RPM_BUILD_ROOT%{_bindir}/gnometris \
  $RPM_BUILD_ROOT%{_bindir}/gnome-falling-blocks

## things we just don't want in the package

rm -rf $RPM_BUILD_ROOT%{_libdir}/libgdkcardimage.*a
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

## install desktop files
desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --remove-category Application				    \
  --remove-category PuzzleGame				    \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-glines.desktop \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-gnect.desktop \
  %{card_desktops}

%if %{build_tali}
perl -pi -e 's@<default></default>@<default>[Joe,Jim,James]</default>@g' $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/gtali.schemas
%endif

# we need this in %%post
cp gnect/data/gnect-client.dsc $RPM_BUILD_ROOT%{_datadir}/ggz
cp gnibbles/gnibbles-client.dsc $RPM_BUILD_ROOT%{_datadir}/ggz
cp iagno/iagno-client.dsc $RPM_BUILD_ROOT%{_datadir}/ggz

# but we don't want this
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/ggz.modules

%find_lang %{gettext_package} --all-name --with-gnome
grep "/usr/share/locale" %{gettext_package}.lang > translations.lang
grep -v "/usr/share/locale" %{gettext_package}.lang > help.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
(cd %{_sysconfdir}/gconf/schemas;   \
gconftool-2 --makefile-install-rule \
	%{card_schemas}             \
	gnomine.schemas             \
	iagno.schemas               \
	same-gnome.schemas          \
	gnome-sudoku.schemas	    \
> /dev/null || : )

touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

ggz-config -i -f -m %{_datadir}/ggz/iagno-client.dsc >& /dev/null || :

%post extra
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
(cd %{_sysconfdir}/gconf/schemas;   \
gconftool-2 --makefile-install-rule \
	%{card_schemas_extra}       \
	%{gtali_schemas}            \
	glchess.schemas             \
	glines.schemas              \
	gnect.schemas               \
	gnibbles.schemas            \
	gnobots2.schemas            \
	gnometris.schemas           \
	gnotravex.schemas           \
	gnotski.schemas             \
	mahjongg.schemas            \
> /dev/null || : )

touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

ggz-config -i -f -m %{_datadir}/ggz/gnect-client.dsc >& /dev/null || :
ggz-config -i -f -m %{_datadir}/ggz/gnibbles-client.dsc >& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  (cd %{_sysconfdir}/gconf/schemas;   \
  gconftool-2 --makefile-uninstall-rule \
	%{card_schemas}             \
	gnomine.schemas             \
	iagno.schemas               \
	same-gnome.schemas          \
	gnome-sudoku.schemas	    \
> /dev/null || : )
fi

%pre extra
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  (cd %{_sysconfdir}/gconf/schemas;   \
  gconftool-2 --makefile-uninstall-rule \
	%{card_schemas_extra}       \
	%{gtali_schemas}            \
	glchess.schemas             \
	glines.schemas              \
	gnect.schemas               \
	gnibbles.schemas            \
	gnobots2.schemas            \
	gnometris.schemas           \
	gnotravex.schemas           \
	gnotski.schemas             \
	mahjongg.schemas            \
> /dev/null || : )
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  (cd %{_sysconfdir}/gconf/schemas;   \
  gconftool-2 --makefile-uninstall-rule \
	%{card_schemas}             \
	gnomine.schemas             \
	iagno.schemas               \
	same-gnome.schemas          \
	gnome-sudoku.schemas	    \
> /dev/null || : )

  ggz-config -r -m %{_datadir}/ggz/iagno-client.dsc >& /dev/null || :
fi

%preun extra
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  (cd %{_sysconfdir}/gconf/schemas;   \
  gconftool-2 --makefile-uninstall-rule \
	%{card_schemas_extra}       \
	%{gtali_schemas}            \
	glchess.schemas             \
	glines.schemas              \
	gnect.schemas               \
	gnibbles.schemas            \
	gnobots2.schemas            \
	gnometris.schemas           \
	gnotravex.schemas           \
	gnotski.schemas             \
	mahjongg.schemas            \
> /dev/null || : )

  ggz-config -r -m %{_datadir}/ggz/gnect-client.dsc >& /dev/null || :
  ggz-config -r -m %{_datadir}/ggz/gnibbles-client.dsc >& /dev/null || :
fi

%postun
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun extra
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files help -f help.lang

%files -f translations.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_datadir}/applications/gnome-sol.desktop
%{_datadir}/applications/gnome-gnomine.desktop
%{_datadir}/applications/gnome-iagno.desktop
%{_datadir}/applications/gnome-same-gnome.desktop
%{_datadir}/applications/gnome-sudoku.desktop

%dir %{_datadir}/gnome-games
%{_datadir}/gnome-games/aisleriot
%{_datadir}/gnome-games/gnomine
%{_datadir}/gnome-games/iagno
%{_datadir}/gnome-games/same-gnome
%{_datadir}/gnome-games/icons
%{_datadir}/gnome-games/sounds
%{_datadir}/gnome-games/pixmaps
%{_datadir}/gnome-games-common
%{_datadir}/gnome-sudoku

%{_datadir}/icons/hicolor/*/apps/gnome-aisleriot.*
%{_datadir}/icons/hicolor/*/apps/gnome-iagno.*
%{_datadir}/icons/hicolor/*/apps/gnome-mines.*
%{_datadir}/icons/hicolor/*/apps/gnome-samegnome.*
%{_datadir}/icons/hicolor/*/apps/gnome-sudoku.*

%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/same-gnome.*
%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/gnomine.*

%{_libdir}/gnome-games

%{python_sitelib}/gnome_sudoku

# gconf schemas
%if %{build_card}
%{_sysconfdir}/gconf/schemas/aisleriot.schemas
%endif
%{_sysconfdir}/gconf/schemas/gnomine.schemas
%{_sysconfdir}/gconf/schemas/iagno.schemas
%{_sysconfdir}/gconf/schemas/same-gnome.schemas
%{_sysconfdir}/gconf/schemas/gnome-sudoku.schemas

%{_datadir}/ggz/gnome-games
%{_datadir}/ggz/iagno-client.dsc

# these are not setgid games
%{_bindir}/sol
%{_bindir}/gnome-sudoku

# these are setgid games
%attr(2551, root, games) %{_bindir}/same-gnome
%attr(2551, root, games) %{_bindir}/iagno
%attr(2551, root, games) %{_bindir}/gnomine

%{_mandir}/man6/same-gnome.6.gz
%{_mandir}/man6/iagno.6.gz
%{_mandir}/man6/gnomine.6.gz
%{_mandir}/man6/gnome-sudoku.6.gz
%{_mandir}/man6/sol.6.gz

%files extra
%defattr(-, root, root)

%{python_sitelib}/glchess
%{_datadir}/glchess

%{_datadir}/applications/gnome-blackjack.desktop
%{_datadir}/applications/gnome-freecell.desktop
%{_datadir}/applications/gnome-glchess.desktop
%{_datadir}/applications/gnome-glines.desktop
%{_datadir}/applications/gnome-gnect.desktop
%{_datadir}/applications/gnome-gnibbles.desktop
%{_datadir}/applications/gnome-gnobots2.desktop
%{_datadir}/applications/gnome-gnotravex.desktop
%{_datadir}/applications/gnome-gnotski.desktop
%{_datadir}/applications/gnome-gtali.desktop
%{_datadir}/applications/gnome-mahjongg.desktop
%{_datadir}/applications/gnometris.desktop

%{_mandir}/man6/blackjack.6.gz
%{_mandir}/man6/glchess.6.gz
%{_mandir}/man6/glines.6.gz
%{_mandir}/man6/gnect.6.gz
%{_mandir}/man6/gnibbles.6.gz
%{_mandir}/man6/gnobots2.6.gz
%{_mandir}/man6/gnometris.6.gz
%{_mandir}/man6/gnotravex.6.gz
%{_mandir}/man6/gnotski.6.gz
%{_mandir}/man6/gtali.6.gz
%{_mandir}/man6/mahjongg.6.gz

%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/glines.*
%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/gnibbles.*
%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/gnobots2.*
%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/gnometris.*
%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/gnotravex.*
%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/gnotski.*
%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/gtali.*
%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) /var/lib/games/mahjongg.*


# these are not setgid games
%{_bindir}/gnect
%if %{build_card}
%{_bindir}/blackjack
%endif
%{_bindir}/glchess

# these are setgid games
%attr(2551, root, games) %{_bindir}/mahjongg
%if %{build_tali}
%attr(2551, root, games) %{_bindir}/gtali
%endif
%attr(2551, root, games) %{_bindir}/gnobots2
%attr(2551, root, games) %{_bindir}/gnome-falling-blocks
%attr(2551, root, games) %{_bindir}/gnotravex
%attr(2551, root, games) %{_bindir}/gnotski
%attr(2551, root, games) %{_bindir}/gnibbles
%attr(2551, root, games) %{_bindir}/glines

# gconf schemas
%if %{build_card}
%{_sysconfdir}/gconf/schemas/blackjack.schemas
%endif
%{_sysconfdir}/gconf/schemas/glines.schemas
%{_sysconfdir}/gconf/schemas/gnect.schemas
%{_sysconfdir}/gconf/schemas/gnibbles.schemas
%{_sysconfdir}/gconf/schemas/gnobots2.schemas
%{_sysconfdir}/gconf/schemas/gnometris.schemas
%{_sysconfdir}/gconf/schemas/gnotravex.schemas
%{_sysconfdir}/gconf/schemas/gnotski.schemas
%if %{build_tali}
%{_sysconfdir}/gconf/schemas/gtali.schemas
%endif
%{_sysconfdir}/gconf/schemas/mahjongg.schemas
%{_sysconfdir}/gconf/schemas/glchess.schemas

%{_datadir}/gnome-games/blackjack
%{_datadir}/gnome-games/glines
%{_datadir}/gnome-games/gnect
%{_datadir}/gnome-games/gnibbles
%{_datadir}/gnome-games/gnobots2
%{_datadir}/gnome-games/gnometris
%{_datadir}/gnome-games/gtali
%{_datadir}/gnome-games/mahjongg
%{_datadir}/gnome-games/gnotski

%{_datadir}/ggz/gnect-client.dsc
%{_datadir}/ggz/gnibbles-client.dsc

%{_datadir}/icons/hicolor/*/apps/gnome-blackjack.*
%{_datadir}/icons/hicolor/*/apps/gnome-freecell.*
%{_datadir}/icons/hicolor/*/apps/gnome-glchess.*
%{_datadir}/icons/hicolor/*/apps/gnome-glines.*
%{_datadir}/icons/hicolor/*/apps/gnome-gnect.*
%{_datadir}/icons/hicolor/*/apps/gnome-gnibbles.*
%{_datadir}/icons/hicolor/*/apps/gnome-gnometris.*
%{_datadir}/icons/hicolor/*/apps/gnome-klotski.*
%{_datadir}/icons/hicolor/*/apps/gnome-mahjongg.*
%{_datadir}/icons/hicolor/*/apps/gnome-robots.*
%{_datadir}/icons/hicolor/*/apps/gnome-tali.*
%{_datadir}/icons/hicolor/*/apps/gnome-tetravex.*



%changelog

